Retrieve Account DeFi (New)

Return account‘s DeFi portfolio with any given top protocols on Sui Network

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Supported on Sui Mainnet.

🚧

The Account's DeFi Portfolio API on Sui is currently exclusively available to Pro Members. Non-Pro members can also enjoy a trial period with an allocation of 30 free calls. If you're interested, please register directly through here. Please note that the API Key can also be used for your GRPC endpoint.

✨

The new DeFi portfolio API introduces a unified schema: single-asset positions are typed as LendingAsset, while LP and farm positions are typed as LpPosition. Amounts are represented as raw balance strings, and both usdValue and totalUsdValue are precalculated for convenience. Additionally, uncollected fees are merged into rewards, and all bucket names are pluralized.

Parameter

  • address, string - a 32 Byte address with 0x as prefix. The address to search for the account.
  • protocol, string - DeFi protocol id, e.g. cetus, navi, sui-staking.

Valid protocol id list(All DeFi portfolios supported on SuiVision are supported via this API):

aftermath, alphafi, bluefin, bucket, cetus, current, deepbook, ember, ferra, flowx, haedal, kai, magma, momentum, navi, r25, scallop, slush, steamm, sui-staking, suins-staking, suilend, turbos, typus, volo, walrus.

Common Types

CoinBalance

Shared coin amount object (used by lending items, LP coins, and rewards).

  • coinType, string - full coin type, e.g., 0x2::sui::SUI.
  • balance, string - amount in smallest units (raw integer string), e.g., 1000000000.
  • decimals, number - coin decimals, e.g., 9.
  • symbol, string - coin symbol, e.g., SUI.
  • coinLogo, string - coin logo URL.
  • usdValue, number - USD value injected by the server.

LendingAsset

Single-asset position (CoinBalance plus optional metadata). Used for supplies, borrows, deposits, vaults, stakings, rewards, etc.

  • (all CoinBalance fields)
  • apr / apy, number - decimal yield rate, e.g. 0.05 = 5%.
  • lockedUntil, number - unlock timestamp (ms or protocol-defined), e.g., for veSCA / SuiNS.
  • name, string - display name (market / vault / node name, etc.).
  • subtitle, string - secondary label (e.g. market).
  • id, string - related id (obligation / vault / object / node, etc.).
  • logo, string - optional position logo; when present, prefer over coinLogo for display.

LpPosition

Dual-/multi-asset LP, farm, or LP-style vault.

  • poolId, string - liquidity / strategy pool id.
  • positionId, string - position object id when applicable.
  • coins, array object - assets in the position (CoinBalance items).
  • rewards, array object - claimable incentives and uncollected fees (CoinBalance items).
  • isOut, boolean - whether the position is out of range.
  • apr / apy, number - decimal yield rate, e.g. 0.05 = 5%.
  • feeRate, number|string - pool fee rate when available.
  • lpType, string - pool kind: clmm | dlmm | almm | amm.
  • name, string - display name.
  • subtitle, string - secondary label.
  • logo, string - optional position logo.
  • usdValue, number - USD value of coins + rewards.

SuiStakePosition

Native Sui staking only (protocol=sui-staking). Extends CoinBalance (always SUI).

  • (all CoinBalance fields; balance is principal in mist)
  • validatorAddress, string - validator address.
  • validatorName, string - validator name.
  • validatorImage, string - validator image URL.
  • suiStakeIds, array string - StakedSui object ids under this validator.
  • apy, number - decimal APY; 0 for inactive pools.
  • rewardAmount, string - pending reward in mist; included in usdValue when present.

Top-level fields

  • totalUsdValue, number - portfolio USD total after enrichment. Liability buckets (borrows) are subtracted.

Response

Each protocol returns a subset of plural buckets. Empty positions return empty arrays (and typically totalUsdValue: 0 after enrichment).

Aftermath

  • lps, array object - AMM LP positions (LpPosition).
  • farms, array object - farm positions (LpPosition, with rewards).
  • deposits, array object - USDC collateral deposits (LendingAsset).

AlphaFi

Includes former AlphaLend.

  • strategies, array object - strategy / LP positions (LpPosition).
  • supplies, array object - lending supplies (LendingAsset).
  • borrows, array object - lending borrows (LendingAsset).
  • rewards, array object - claimable lending rewards (LendingAsset).

Bluefin

  • lps, array object - CLMM positions (LpPosition; fees merged into rewards).
  • deposits, array object - Pro deposits (LendingAsset).

Bucket

  • deposits, array object - Saving positions by USDB balance (LendingAsset).
  • collaterals, array object - CDP collaterals (LendingAsset).
  • borrows, array object - CDP debt (LendingAsset; deducted from totalUsdValue).
  • stakings, array object - staking positions (LendingAsset).
  • rewards, array object - claimable rewards (LendingAsset).

Cetus

  • lps, array object - CLMM / DLMM liquidity (LpPosition; lpType may be clmm or dlmm).
  • farms, array object - farm wraps (LpPosition).
  • vaults, array object - vault LP positions (LpPosition).
  • stakings, array object - xCETUS lock positions (LendingAsset; may include lockedUntil).

Current

  • deposits, array object - market deposits (LendingAsset; subtitle = market).
  • borrows, array object - market borrows (LendingAsset; deducted from totalUsdValue).

DeepBook

  • deposits, array object - margin pool supplies (LendingAsset).

Ember

  • vaults, array object - vault receipt positions (LendingAsset; may ship a precomputed usdValue).

Ferra

  • lps, array object - CLMM / DLMM positions (LpPosition; lpType is clmm or dlmm; fees merged into rewards).

FlowX

  • lps, array object - AMM + CLMM liquidity (LpPosition; lpType is amm or clmm; fees / incentives merged into rewards).
  • farms, array object - FaaS farm positions (LpPosition).
  • stakings, array object - xFLX staking / unstake tickets (LendingAsset).

Haedal

  • lps, array object - vault LP positions (LpPosition).
  • vaults, array object - lending vaults (LendingAsset).
  • stakings, array object - unstake tickets for SUI / WAL (LendingAsset; subtitle ≈ claim epoch).

Kai

  • vaults, array object - single-asset vaults (LendingAsset, with apr).
  • lps, array object - LP vaults (LpPosition; isOut = not in range).

Magma

  • lps, array object - CLMM / ALMM positions (LpPosition; lpType is clmm or almm; fees merged into rewards).

Momentum

  • lps, array object - CLMM positions (LpPosition; fees merged into rewards).
  • stakings, array object - ve / staking positions (LendingAsset).

Navi

  • supplies, array object - lending supplies (LendingAsset).
  • borrows, array object - lending borrows (LendingAsset; deducted from totalUsdValue).
  • vaults, array object - vault positions (LendingAsset).
  • rewards, array object - available lending rewards (LendingAsset).

R25

  • stakings, array object - wallet rcUSDp (LendingAsset).

Scallop

  • supplies, array object - lending supplies (LendingAsset).
  • borrows, array object - borrows (LendingAsset; deducted from totalUsdValue).
  • collaterals, array object - obligation collaterals (LendingAsset).
  • veScas, array object - locked SCA / veSCA (LendingAsset; uses lockedUntil).
  • stakings, array object - related staking positions (LendingAsset).
  • rewards, array object - pending lending / borrow incentives (LendingAsset).

Slush

  • deposits, array object - pool supplies (LendingAsset).

Steamm

  • lps, array object - dual-coin AMM LP (LpPosition), including wallet LP and Suilend-collateralized LP.

Sui Staking

protocol = sui-staking.

  • stakings, array object - native stake positions (SuiStakePosition), aggregated per validator.

SuiNS Staking

protocol = suins-staking.

  • stakings, array object - NS staking positions (LendingAsset; includes lockedUntil).

Suilend

  • deposits, array object - deposits (LendingAsset; subtitle = market).
  • borrows, array object - borrows (LendingAsset; deducted from totalUsdValue).
  • strategies, array object - strategy positions valued in default currency (LendingAsset).

Turbos

  • lps, array object - CLMM positions (LpPosition; fees merged into rewards).
  • vaults, array object - dual-coin vaults (LpPosition).
  • deposits, array object - lending deposits (LendingAsset).

Typus

  • vaults, array object - DOV positions (LpPosition).
  • safu, array object - SAFU vault positions (LpPosition).
  • rewards, array object - premium rebates (LendingAsset).

Volo

  • vaults, array object - vault positions (LendingAsset).

Walrus

  • stakings, array object - StakedWal positions (LendingAsset; name = node name, id = node id).
Query Params
string
required

account address

string
enum
required
Defaults to navi

DeFi protocol (eg "cetus" or "navi").

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json